import { CamelCasedProps } from '../../utils';
import { AddCdnDomainRequest, Origin, ServerCert } from 'tencentcloud-sdk-nodejs/tencentcloud/services/cdn/v20180606/cdn_models';
import { CamelCase, PascalCase } from 'type-fest';


export interface OriginInputs extends CamelCasedProps<Origin> {
}

export interface CertInputs extends CamelCasedProps<ServerCert> {
    remarks?: string;
}

export interface CdnDeployInputs extends CamelCasedProps<AddCdnDomainRequest> {
    oldState?: {
        inputCache?: string
    };

    /** 是否等待 CDN 部署完毕 */
    async?: boolean;

    /** 只刷新，不进行新的部署 */
    onlyRefresh?: boolean;

    /** CDN 是否清除缓存 */
    refreshCdn?: {
        urls: string[];
        flushType: string;
    };

    /** CDN 是否预热更新 */
    pushCdn?: {
        urls: string[],
        area: string,
        userAgent: string,
    };
}
